summaryrefslogtreecommitdiffstats
path: root/extra/source/rust-for-mozilla/rust.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/rust-for-mozilla/rust.SlackBuild')
-rwxr-xr-xextra/source/rust-for-mozilla/rust.SlackBuild16
1 files changed, 8 insertions, 8 deletions
diff --git a/extra/source/rust-for-mozilla/rust.SlackBuild b/extra/source/rust-for-mozilla/rust.SlackBuild
index 99686ea00..939a73336 100755
--- a/extra/source/rust-for-mozilla/rust.SlackBuild
+++ b/extra/source/rust-for-mozilla/rust.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2017 Andrew Clemons, Wellington, New Zealand
-# Copyright 2017, 2018, 2019, 2020, 2021 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2017, 2018, 2019, 2020, 2021, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# Copyright 2017 Stuart Winter
# All rights reserved.
#
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=rust
SRCNAM="${PKGNAM}c"
-VERSION=${VERSION:-1.60.0}
+VERSION=${VERSION:-1.70.0}
BUILD=${BUILD:-1_slack15.0}
# Set this to YES to build with the system LLVM, or NO to use the bundled LLVM.
@@ -34,9 +34,9 @@ BUILD=${BUILD:-1_slack15.0}
SYSTEM_LLVM=${SYSTEM_LLVM:-NO}
# Bootstrap variables (might not be kept updated for latest Rust):
-RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.59.0}
-RSTAGE0_DIR=${RSTAGE0_DIR:-2022-02-24}
-CSTAGE0_VERSION=${CSTAGE0_VERSION:-1.59.0}
+RSTAGE0_VERSION=${RSTAGE0_VERSION:-1.69.0}
+RSTAGE0_DIR=${RSTAGE0_DIR:-2023-04-20}
+CSTAGE0_VERSION=${CSTAGE0_VERSION:-1.69.0}
CSTAGE0_DIR=${CSTAGE0_DIR:-$RSTAGE0_DIR}
# Automatically determine the architecture we're building on:
@@ -111,7 +111,7 @@ else
fi
TMP=${TMP:-/tmp}
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-$TMP}
PKG=$TMP/package-$PKGNAM
# Not needed, as the build will automatically use as many jobs as there are
@@ -134,7 +134,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$VERSION-src
-tar xvf $CWD/$SRCNAM-$VERSION-src.tar.?z || exit 1
+echo "Extracting $CWD/$SRCNAM-$VERSION-src.tar.?z..."
+tar xf $CWD/$SRCNAM-$VERSION-src.tar.?z || exit 1
cd $SRCNAM-$VERSION-src || exit 1
# Link with -lffi in case of using system LLVM:
@@ -179,7 +180,6 @@ codegen-units = 0
channel = "stable"
rpath = false
codegen-tests = false
-ignore-git = true
EOF